summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--sys-apps/portage/portage-2.3.59-r1.ebuild (renamed from sys-apps/portage/portage-2.3.59.ebuild)3
1 files changed, 3 insertions, 0 deletions
diff --git a/sys-apps/portage/portage-2.3.59.ebuild b/sys-apps/portage/portage-2.3.59-r1.ebuild
index 4bf3a6b2ded..20086e94171 100644
--- a/sys-apps/portage/portage-2.3.59.ebuild
+++ b/sys-apps/portage/portage-2.3.59-r1.ebuild
@@ -102,6 +102,9 @@ pkg_setup() {
python_prepare_all() {
distutils-r1_python_prepare_all
+ # apply d66f4238e6b5 for bug 675868
+ sed -e 's:OSError:EnvironmentError:' -i bin/pid-ns-init || die
+
if use gentoo-dev; then
einfo "Disabling --dynamic-deps by default for gentoo-dev..."
sed -e 's:\("--dynamic-deps", \)\("y"\):\1"n":' \